1. Crypto Checkout
v2.0 (Sandbox)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Getting Started
    • Idempotent Requests
    • Webhook
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Fiat Account Request Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Checkout
        • Create Crypto Checkout
          POST
        • Create Crypto Checkout Link
          POST
        • Crypto Checkout Wallet Connection
          POST
        • Generate POS Payment Request
          POST
        • Close Crypto Checkout
          POST
        • Get Convertible Cryptos
          GET
        • Get Supported Blockchains
          GET
        • Get Crypto Checkout
          GET
        • Get Crypto Checkout Link
          GET
        • Get Crypto Checkout Currencies
          GET
        • Crypto Checkout Webhook
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • Upload File
      • getTnC
  1. Crypto Checkout

Get Crypto Checkout

GET
/v1.0/payment/crypto/getCryptoCheckout
API Overview
ItemValue
API StatusStable
Current Versionv1.0
Backward CompatibilityNo
Applicable EnvironmentProduction

Description
Retrieve details of a specific payment request.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1.0/payment/crypto/getCryptoCheckout?checkoutRequestId&clientReference'

Responses

🟢200Success
application/json
Body

Example
{
    "code": "string",
    "msg": "string",
    "data": {
        "cryptoCheckoutId": "string",
        "participantCode": "string",
        "amountToPay": 0,
        "currencyToPay": "string",
        "clientReference": "string",
        "paymentPurpose": {
            "subject": "string",
            "description": "string",
            "supportingDocuments": "string"
        },
        "buyerInfo": {
            "firstName": "string",
            "middleName": "string",
            "lastName": "string",
            "identityType": 1,
            "identityNumber": "string",
            "dateOfBirth": "2019-08-24",
            "placeOfBirth": "string",
            "residentialAddress": {
                "country": "string",
                "state": "string",
                "city": "string",
                "postcode": "string",
                "addressLine1": "string",
                "addressLine2": "string"
            }
        },
        "checkoutWallets": {
            "walletKey": "string",
            "addressList": [
                {
                    "blockchain": "string",
                    "address": "string",
                    "acceptableCurrencies": [
                        "string"
                    ]
                }
            ]
        },
        "status": 1,
        "expiry": 0,
        "walletKyt": {
            "kytResult": 1,
            "kytDetails": "string",
            "transactionHash": "string",
            "walletAddress": "string"
        },
        "receivedPayments": [
            {
                "blockchain": "string",
                "sourceWalletAddress": "string",
                "paidCurrency": "string",
                "paidAmount": "string",
                "txnHash": "string",
                "walletType": 1,
                "platformName": "string",
                "platformUserName": "string",
                "kytInfo": {
                    "kytResult": 1,
                    "kytDetails": "string",
                    "transactionHash": "string",
                    "walletAddress": "string"
                }
            }
        ],
        "conversions": [
            {
                "conversionId": "string",
                "quotationId": "string",
                "participantCode": "string",
                "clientReference": "string",
                "sourceCurrency": "string",
                "destinationCurrency": "string",
                "price": "string",
                "sourceAmount": "string",
                "destinationAmount": "string",
                "status": 1,
                "createdAt": 0
            }
        ]
    }
}
Modified at 2026-03-20 09:14:30
Previous
Get Supported Blockchains
Next
Get Crypto Checkout Link
Built with